@import "compass/reset";
@import "compass/css3";
@import "grid";

body {
  margin-top: 40px;
  color: #666;
  font: 87.5% 'Droid Sans';
  line-height: 1.428571429;
}

h1, h2 { font-family: Oswald; }

h1 {
  @include column(24);
  background: #faf;
  font-size: 3em;
  text-align: center;
  @include box-shadow(0 2px 2px #bbb, 0 2px 0 #faf + 30 inset, 0 -2px 0 #faf - 30 inset);
}

h2 {
  margin-bottom: 20px;
  font-size: 2em;
}

p {
  margin-bottom: 20px;
  &:last-of-type {
    margin-bottom: 0;
  }
}

.box-content { padding: 20px; }

.grid-container {
  @include grid-container;
}

#page-footer {
  margin-top: 60px;
  padding-top: 40px;
  border-top: 3px dashed #666;
  text-align: center;
}

.box-group { @include box-group; }

.box { 
  margin-bottom: 20px;
  @include border-radius(4px);
  @include text-shadow(0 1px 0 rgba(255,255,255,0.4));
  color: rgba(0,0,0,0.8);
}

.six-col {
  @include column(12);
  background: #99f;
  @include box-shadow(0 2px 2px #bbb, 0 2px 0 #99f + 30 inset, 0 -2px 0 #99f - 30 inset);
}

.four-col {
  @include column(8);
  background: #9f9;
  @include box-shadow(0 2px 2px #bbb, 0 2px 0 #9f9 + 30 inset, 0 -2px 0 #9f9 - 30 inset);
}

.three-col {
  @include column(6);
  background: #f99;
  @include box-shadow(0 2px 2px #bbb, 0 2px 0 #f99 + 30 inset, 0 -2px 0 #f99 - 30 inset);
}

.three-col:last-of-type {
  @media screen and (max-width: 960px) {
    @include column(24);
  }
  @media screen and (max-width: 720px) {
    @include column(24);
  }
}
